Get

[POST] .../v1/connectedintegrationsetting/get

Returns a list of settings connected integration. Use this method to retrieve editable settings for a connected integration before showing an integration settings form or before calling ConnectedIntegrationSetting/Edit. The response returns the setting key, current value and last_update timestamp for settings that belong to the resolved connected integration; firm_id is used for firm-owned integration settings. The request body is required and must provide connected_integration_id through filters; the deprecated integration_key as a alias and firm_id can be provided as a filters for firm-owned settings. The current request user must have integration select access; missing body, missing identifier, more than one match by deprecated integration_key, unresolved integration, missing firm-owned settings, denied access and database failures are returned as HTTP 200 ErrorResult business errors.

Request Parameters

Name Type Required Description
filters Array of Filter Optional Optional filters by fields available for this API method.

Filterable Fields

Field Type Description
connected_integration_id string Connected integration ID. Takes precedence over integration_key when both fields are provided.
firm_id int Company ID.
integration_key string Deprecated field. Integration key, which is the system name. If passed together with connected_integration_id, connected_integration_id is used.

Request Example

{
  "filters": [
    {
      "field": "connected_integration_id",
      "operator": "Equal",
      "value": "c98210addc4f4e1bb50b17a8c1299a37"
    },
    {
      "field": "firm_id",
      "operator": "Equal",
      "value": "1"
    }
  ]
}

Response Parameters

Name Type Description
ok Boolean Indicates whether the request completed successfully.
result Array of ConnectedIntegrationSetting Result array.

Response Example

{
  "ok": true,
  "result": [
    {
      "key": "order_from_id",
      "value": "15",
      "last_update": 1712345678
    },
    {
      "key": "price_type",
      "value": "2",
      "last_update": 1712345680
    }
  ]
}